<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__i2s" kind="group">
    <compoundname>group_hal_results_i2s</compoundname>
    <title>I2S HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__i2s_1gaa4210798171fa0699b5c7a57618810ea" kind="define" prot="public" static="no">
        <name>CYHAL_I2S_RSLT_ERR_INVALID_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8f3c272518c2a32f2455e34137a5180d">CYHAL_RSLT_MODULE_I2S</ref>, 0))</initializer>
        <briefdescription>
<para>An invalid pin location was specified. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" bodystart="115" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" line="115" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2s_1ga241cfd688fd50b098d2efd0ccf1f473e" kind="define" prot="public" static="no">
        <name>CYHAL_I2S_RSLT_ERR_INVALID_ARG</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8f3c272518c2a32f2455e34137a5180d">CYHAL_RSLT_MODULE_I2S</ref>, 1))</initializer>
        <briefdescription>
<para>An argument was provided. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" bodystart="118" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" line="118" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2s_1gacda6f38c24bc57c1dd406387dcc219b2" kind="define" prot="public" static="no">
        <name>CYHAL_I2S_RSLT_ERR_INIT_FAILED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8f3c272518c2a32f2455e34137a5180d">CYHAL_RSLT_MODULE_I2S</ref>, 2))</initializer>
        <briefdescription>
<para>Initialization of the I2S hardware failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" bodystart="121" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" line="121" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2s_1ga47c26b5d76fee622ff8e0639ce828299" kind="define" prot="public" static="no">
        <name>CYHAL_I2S_RSLT_ERR_CLOCK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8f3c272518c2a32f2455e34137a5180d">CYHAL_RSLT_MODULE_I2S</ref>, 3))</initializer>
        <briefdescription>
<para>The requested clock frequency could not be achieved. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" bodystart="124" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" line="124" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>I2S specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>